Fish Model Get
curl --request GET \
--url https://api.acedata.cloud/fish/model/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.acedata.cloud/fish/model/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.acedata.cloud/fish/model/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"_id": "d7900c21663f485ab63ebdb7e5905036",
"type": "tts",
"title": "Marcus Aurelius",
"description": "Fish Model Id Response 200 Example",
"cover_image": "https://api.fish.audio/v1/file/voice-cover.jpg",
"train_mode": "fast",
"state": "trained",
"tags": [
"historical"
],
"samples": [
{
"title": "sample 1",
"text": "Hello, this is a sample.",
"task_id": "ad1c50e6f1a4474d96a17a91da93dac2",
"audio": "https://api.fish.audio/v1/file/sample-1.mp3"
}
],
"created_at": "2024-09-01T07:53:39.476000Z",
"updated_at": "2024-09-01T07:53:39.476000Z",
"languages": [
"en"
],
"visibility": "public",
"lock_visibility": false,
"like_count": 12,
"mark_count": 3,
"shared_count": 0,
"task_count": 5,
"unliked": false,
"liked": false,
"marked": false,
"author": {
"_id": "8e0b7add9a474db4b46abe51ef64b3c0",
"nickname": "AceDataCloud"
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Fish Model Get
GET
/
fish
/
model
/
{id}
Fish Model Get
curl --request GET \
--url https://api.acedata.cloud/fish/model/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.acedata.cloud/fish/model/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.acedata.cloud/fish/model/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"_id": "d7900c21663f485ab63ebdb7e5905036",
"type": "tts",
"title": "Marcus Aurelius",
"description": "Fish Model Id Response 200 Example",
"cover_image": "https://api.fish.audio/v1/file/voice-cover.jpg",
"train_mode": "fast",
"state": "trained",
"tags": [
"historical"
],
"samples": [
{
"title": "sample 1",
"text": "Hello, this is a sample.",
"task_id": "ad1c50e6f1a4474d96a17a91da93dac2",
"audio": "https://api.fish.audio/v1/file/sample-1.mp3"
}
],
"created_at": "2024-09-01T07:53:39.476000Z",
"updated_at": "2024-09-01T07:53:39.476000Z",
"languages": [
"en"
],
"visibility": "public",
"lock_visibility": false,
"like_count": 12,
"mark_count": 3,
"shared_count": 0,
"task_count": 5,
"unliked": false,
"liked": false,
"marked": false,
"author": {
"_id": "8e0b7add9a474db4b46abe51ef64b3c0",
"nickname": "AceDataCloud"
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}承認
API token from https://platform.acedata.cloud
ヘッダー
Fish Model Id Param Accept
利用可能なオプション:
application/json パスパラメータ
Fish Model Id Param Id
レスポンス
Fish Model Id Response 200
Fish Model Id Response 200 Id
Fish Model Id Response 200 Type
Fish Model Id Response 200 Title
Fish Model Id Response 200 Description
Fish Model Id Response 200 Cover Image
Fish Model Id Response 200 Train Mode
Fish Model Id Response 200 State
Fish Model Id Response 200 Tags
Fish Model Id Response 200 Samples
Fish Model Id Response 200 Created At
Fish Model Id Response 200 Updated At
Fish Model Id Response 200 Languages
Fish Model Id Response 200 Visibility
Fish Model Id Response 200 Author

